#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <stdarg.h>
#include "petsc.h"
#include "anamod.h"

/*! \file logging.c
  \brief PETSc event logging in AnaMod

  \section logging Event logging

  We use PETSc Log Events to report on time expended in AnaMod routines.
*/

//extern PetscLogEvent *catevents;

#undef __FUNCT__
#define __FUNCT__ "CategoryLogEventRegister"
PetscErrorCode CategoryLogEventRegister(char *cat,int icat)
{
  PetscLogEvent catevent; PetscClassId cookie; PetscErrorCode ierr;
  PetscFunctionBegin;
  ierr = PetscClassIdRegister("Anamod events",&cookie); CHKERRQ(ierr);
  ierr = PetscLogEventRegister(cat,cookie,&catevent); CHKERRQ(ierr);
//  catevents[icat] = catevent;
  PetscFunctionReturn(0);
}
